﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Administrator_EditPageContent : MyWebApplication.LocalizedPage
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnOpen_Click(object sender, EventArgs e)
    {
        divPageMessages.Visible = false;
        txtFileName.Text =
            txtFileName.Text.Trim();

        if (txtFileName.Text == string.Empty)
        {
            string strErrorMessage =
                 Resources.Messages.ErrorMessage003;
            DisplayErrorMessage(strErrorMessage);
            return;
        }

        string strFileName = txtFileName.Text;
        string strRootRelativePath = "~/App_Data/PageContents";
        string strRootRelativePathName =
            string.Format("{0}/{1}", strRootRelativePath, strFileName);

        string strPathName = Server.MapPath(strRootRelativePathName);

        if (System.IO.File.Exists(strPathName) == false)
        {
            string strErrorMessage =
               string.Format(Resources.Messages.ErrorMessage004, txtFileName.Text);
            DisplayErrorMessage(strErrorMessage);
            return;
        }

        System.IO.StreamReader oStreamReader = null;

        try
        {
            oStreamReader = new System.IO.StreamReader(strPathName, System.Text.Encoding.UTF8);
            txtEditContent.Text = oStreamReader.ReadToEnd();

            string strInformationMessage =
                  string.Format(Resources.Messages.InformationMessage001, txtFileName.Text);
            DisplayInformationMessage(strInformationMessage);
        }
        catch (Exception)
        {

            string strErrorMessage =
            Resources.Messages.ErrorMessage006;
            DisplayErrorMessage(strErrorMessage);
        }

        finally
        {
            if (oStreamReader != null)
            {
                oStreamReader.Dispose();
                oStreamReader = null;
            }
        }
    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        txtFileName.Text =
            txtFileName.Text.Trim();

        if (txtFileName.Text == string.Empty)
        {
            string strErrorMessage =
                string.Format(Resources.Messages.ErrorMessage003);
            DisplayErrorMessage(strErrorMessage);

        }

        string strFileName = txtFileName.Text;
        string strRootRelativePath = "~/App_Data/PageContents";
        string strRootRelativePathName =
            string.Format("{0}/{1}", strRootRelativePath, strFileName);

        string strPathName = Server.MapPath(strRootRelativePathName);

        System.IO.StreamWriter oStreamWriter = null;

        try
        {
            oStreamWriter = new System.IO.StreamWriter
                (strPathName, false, System.Text.Encoding.UTF8);
            oStreamWriter.Write(txtEditContent.Text);

            string strInformationMessage =
                string.Format(Resources.Messages.InformationMessage002,txtFileName.Text);
            DisplayInformationMessage(strInformationMessage);
        }
        catch (Exception)
        {
            string strErrorMessage =
            Resources.Messages.ErrorMessage006;
            DisplayErrorMessage(strErrorMessage);
        }

        finally
        {
            if (oStreamWriter != null)
            {
                oStreamWriter.Dispose();
                oStreamWriter = null;
            }
        }
    }

    protected virtual void DisplayErrorMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class='error'>[{0}]</div>", message);
    }

    protected virtual void DisplayWarningMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class='warning'>[{0}]</div>", message);
    }

    protected virtual void DisplayInformationMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class='information'>[{0}]</div>", message);
    }


}