﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Contact.ascx.cs" Inherits="UserControls_ContactUs" %>
<div id="Layout">
    <div id="divPageMessage" runat="server" class="pageMessages">
        <asp:Literal ID="litPageMessage" runat="server" />
    </div>
    <br />
    <fieldset>
        <legend>
            <asp:Label ID="lblLegend" runat="server" CssClass="Caption" Text="<%$Resources:Captions,ContactUsTitle %>" /></legend>
            <asp:ValidationSummary ID="myValidationSummary" runat="server"
            EnableClientScript="true" CssClass="validator" DisplayMode="BulletList"
            ShowSummary="true" ShowMessageBox="false" />
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblFullName" runat="server" Text="<%$Resources:Captions,FullName%>" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtFullName" CssClass="username" runat="server" AutoCompleteType="disabled" Columns="60" Width="200" />

                <asp:RequiredFieldValidator ID="rfvFullName" runat="server" ControlToValidate="txtFullName"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

            </div>
        </div>

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblEmail" runat="server" Text="<%$Resources:Captions,Email%>" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtEmail" runat="server" CssClass="mail" MaxLength="50" AutoCompleteType="disabled"
                    Columns="60" Width="200" />

                <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

                <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage010%>"
                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />

            </div>
        </div>

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblSubject" runat="server" Text="<%$Resources:Captions,Subject%>" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtSubject" runat="server" CssClass="filename" Columns="60" Width="200" />

                <asp:RequiredFieldValidator ID="rfvSubject" runat="server" ControlToValidate="txtSubject"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

            </div>
        </div>

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblDescription" runat="server" Text="<%$Resources:Captions,Description%>" />
            </div>
            <br />
            <div class="controls">
                <asp:TextBox ID="txtDescription" runat="server"  TextMode="MultiLine" Columns="67" Rows="10" />

                <asp:RequiredFieldValidator ID="rfvDescription" runat="server" ControlToValidate="txtDescription"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

            </div>
        </div>
        <br />
        <br />
        <div class="button">
            <asp:Button ID="btnSubmit" runat="server" CssClass="jbutton" Text="<%$Resources:Captions,Submit%>" AccessKey="L" OnClick="btnSubmit_Click" />
            &nbsp
           <asp:Button ID="btnCancel" runat="server" CssClass="jbutton" Text="<%$Resources:Buttons,Reset%>" AccessKey="C" />
        </div>
    </fieldset>
</div>
