﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class UserControls_DeleteUser : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        txtUsername.Text = Session["Username"].ToString();
    }

    /// <summary>
    /// ایونت کلیک دکمه حذف
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        //ایجاد یک شی از کلاس دیتا ست تیبل آدابتر دات یوزر تیبل  آداپتر
        DAL.MyDataSetTableAdapters.UsersTableAdapter oUserTableAdapter =
            new DAL.MyDataSetTableAdapters.UsersTableAdapter();

        //ایجاد یک اینتیجر که یا یک میشود یا صفر
        //یک شدن به این معنا است که کاربر با نام کاربر وارد شده حذف گردیده
        //صفر شدن به این معناست که کاربری یا نام کاربری وارد شده وجود ندارد
        int intAffectedRows =
                oUserTableAdapter.DeleteByUsername(txtUsername.Text);

        //اگر صفر بود
        if (intAffectedRows == 0)
        {
            string strErrorMessage =
                Resources.Messages.ErrorMessage017;
            //نمایش پیام کاربری با مشخصات وارد شده وجود ندارد
            DisplayErrorMessage(strErrorMessage);
            return;
        }

        //اگر یک بود
        string strInformationMessage =
               string.Format(Resources.Messages.InformationMessage005,
               txtUsername.Text);
        //نمایش پیام حذف کاربر با موفقیت انجام شد
        DisplayInformationMessage(strInformationMessage);

    }

    /// <summary>
    /// متد های نمایش پیام
    /// </summary>
    /// <param name="message"></param>
    protected virtual void DisplayErrorMessage(string message)
    {
        divPageMessage.Visible = true;
        litPageMessage.Text =
            string.Format("<div class ='error'>{0}</div>", message);
    }

    protected virtual void DisplayWarningMessage(string message)
    {
        divPageMessage.Visible = true;
        litPageMessage.Text =
            string.Format("<div class ='warning'>{0}</div>", message);
    }

    protected virtual void DisplayInformationMessage(string message)
    {
        divPageMessage.Visible = true;
        litPageMessage.Text =
            string.Format("<div class ='information'>{0}</div>", message);
    }
}