﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Register.ascx.cs" Inherits="UserControls_WebUserControl" %>
<div id="Layout">
    <div id="divPageMessage" runat="server" class="pageMessages">
        <asp:Literal ID="litPageMessage" runat="server"></asp:Literal>
    </div>
    <br />
    <fieldset>
        <legend>
            <asp:Literal ID="litLegend" runat="server" Text="<%$Resources:Captions,Login%>" />
        </legend>
        <br />
        <asp:ValidationSummary ID="myLoginValidation" runat="server"
            EnableClientScript="true" CssClass="validator" DisplayMode="BulletList"
            ShowSummary="true" ShowMessageBox="false" HeaderText="<%$Resources:Messages,ErrorMessage007 %>" />
        <br />

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblUsername" runat="server" CssClass="lable" Text="<%$Resources:Captions,Username%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtUsername" runat="server" CssClass="username" MaxLength="30" />

                <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ControlToValidate="txtUsername"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

                <asp:RegularExpressionValidator ID="revUsername" runat="server" ControlToValidate="txtUsername"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage008 %>"
                    ValidationExpression="[a-zA-Z0-9]{4,20}" />
            </div>
        </div>
        <br />
        <div class="field">
            <div class="lable">
                <asp:Label ID="lblPassword" runat="server" CssClass="lable" Text="<%$Resources:Captions,Password%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtPassword" runat="server" CssClass="password" MaxLength="30" TextMode="Password" />

                <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ControlToValidate="txtPassword"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" />

                <asp:RegularExpressionValidator ID="revPassword" runat="server" ControlToValidate="txtPassword"
                    Display="Dynamic" SetFocusOnError="true" EnableClientScript="true"
                    CssClass="validator" Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage009 %>"
                    ValidationExpression="[a-zA-Z0-9]{6,20}" />
            </div>
        </div>
        <br />

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblConfirmPassword" runat="server" CssClass="lable" Text="<%$Resources:Captions,ConfirmPassword%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtConfirmPassword" runat="server" CssClass="password" MaxLength="30" TextMode="Password" />

                <asp:RequiredFieldValidator ID="rfvConfirmPassword" runat="server"
                    ControlToValidate="txtConfirmPassword" CssClass="validator"
                    Display="Dynamic" EnableClientScript="true"
                    SetFocusOnError="true" Text="*" />

                <asp:CompareValidator ID="cmvConfirmPassword" runat="server"
                    ControlToValidate="txtConfirmPassword" CssClass="validator"
                    Display="Dynamic" EnableClientScript="true" SetFocusOnError="true"
                    Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage011 %>"
                    Type="String" CultureInvariantValues="true" ControlToCompare="txtPassword"
                    Operator="Equal" />
            </div>
        </div>
        <br />

        <div class="field">
            <div class="lable">
                <asp:Label ID="lblEmail" runat="server" CssClass="lable" Text="<%$Resources:Captions,Email%>" />
            </div>
            <div class="controls">
                <asp:TextBox ID="txtEmail" runat="server" CssClass="mail" MaxLength="30" />

                <asp:RequiredFieldValidator ID="rfvEmail" runat="server"
                    ControlToValidate="txtEmail" CssClass="validator"
                    Display="Dynamic" EnableClientScript="true"
                    SetFocusOnError="true" Text="*" />
                <asp:RegularExpressionValidator ID="revEmail" runat="server"
                    ControlToValidate="txtEmail" CssClass="validator"
                    Display="Dynamic" EnableClientScript="true" SetFocusOnError="true"
                    Text="*" ErrorMessage="<%$Resources:Messages,ErrorMessage010%>"
                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" />
            </div>
        </div>
        <br />

        <div class="field">
            <asp:Button ID="btnSubmit" runat="server" CssClass="button" Text="<%$Resources:Buttons,Register %>" OnClick="btnSubmit_Click" />
            <asp:Button ID="btnCancel" runat="server" CssClass="button" Text="<%$Resources:Buttons,Cansel %>" />

        </div>

    </fieldset>
</div>
