﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class UserControls_UpdateProfile : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
         if (Page.IsPostBack==false)
        {
            Initialize();
        }
    }

    /// <summary>
    /// در این متد مشخصات کاربر در فیلد های نام کامل و توضیحات قرار میگیرد
    /// </summary>
     private void Initialize()
    {
        //ایجاد یک شی از کلاس دیتا ست.یوزر تیبل آداپتر
        DAL.MyDataSet.UsersDataTable oUserDataTable =
            new DAL.MyDataSet.UsersDataTable ();

        //ایجاد یک شی از کلاس دیتا ست تیبل آدابتر دات یوزر تیبل  آداپتر
        DAL.MyDataSetTableAdapters.UsersTableAdapter oUserTableAdapter =
            new DAL.MyDataSetTableAdapters.UsersTableAdapter ();

        //پر نمودن شی ساخته شده از تیبل آداپتر با شی ساخته شده از دیتا تیبل با متد مربوطه
        oUserTableAdapter.FillByUserID(oUserDataTable, (int)Session["UserID"]);

        //بررسی اینکه آیا کاربری وجود داشته است یا خیر
        if (oUserDataTable.Count!=1)
        {
              string strErrorMessage =
                Resources.Messages.ErrorMessage017;
            DisplayErrorMessage(strErrorMessage);
            return;
        }

        //ایجاد یک شی از کلاس دیتاست . یوزر رو و مقدار دهی آن توسط شی ساخته شده از دیتا تیبل
        DAL.MyDataSet.UsersRow oUserRow=oUserDataTable[0];

        //بررسی فیلدهای نال
        if (oUserRow.IsFullNameNull()==false)
        {
            txtFullName.Text = oUserRow.FullName;
        }

        //بررسی فیلدهای نال
        if (oUserRow.IsDescriptionNull()==false)
        {
            txtDescription.Text = oUserRow.Description;
        }
            
    }

  /// <summary>
  /// بروز رسانی صفحه پروفایل کاربر
  /// </summary>
  /// <param name="sender"></param>
  /// <param name="e"></param>
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            //ایجاد یک شی از کلاس دیتا ست.یوزر تیبل آداپتر
            DAL.MyDataSet.UsersDataTable oUsersDataTable =
                new DAL.MyDataSet.UsersDataTable ();

            //ایجاد یک شی از کلاس دیتا ست تیبل آدابتر دات یوزر تیبل  آداپتر
            DAL.MyDataSetTableAdapters.UsersTableAdapter oUsersTableAdapter =
                new DAL.MyDataSetTableAdapters.UsersTableAdapter ();
           
            //پر نمودن شی ساخته شده از تیبل آداپتر با شی ساخته شده از دیتا تیبل با متد مربوطه
            oUsersTableAdapter.FillByUserID(oUsersDataTable,(int)Session["UserID"]);

            //بررسی اینکه آیا کاربری وجود داشته است یا خیر
            if (oUsersDataTable.Count != 1)
            {
                 string strErrorMessage =
                 Resources.Messages.ErrorMessage017;
                 DisplayErrorMessage(strErrorMessage);
                 return;
            }
         
            //ایجاد یک شی از کلاس دیتاست . یوزر رو و مقدار دهی آن توسط شی ساخته شده از دیتا تیبل
            DAL.MyDataSet.UsersRow oUsersRow = oUsersDataTable[0];
           
            txtFullName.Text =
                txtFullName.Text.Trim();

            //بررسی فیلدهای نال
            if (txtFullName.Text == string.Empty)
            {
                oUsersRow.SetFullNameNull();
            }
            else
            {
                oUsersRow.FullName = txtFullName.Text;
            }

            txtDescription.Text =
                txtDescription.Text.Trim();

            //بررسی فیلدهای نال
            if (txtDescription.Text == string.Empty)
            {
                oUsersRow.SetDescriptionNull();
            }
            else
            {
                oUsersRow.Description = txtDescription.Text;
            }
            
            //بروز رسانی تیبل آدابتر با دیتا تیبل
            oUsersTableAdapter.Update(oUsersDataTable);
         
                 string strInformationMessage =
                 string.Format(Resources.Messages.InformationMessage006);
                 
                 DisplayInformationMessage(strInformationMessage);
           
        }
    }

    //متد های نمایش پیام
    protected virtual void DisplayErrorMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class ='Error'>{0}</div>", message);
    }

    protected virtual void DisplayWarningMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class ='Warning'>{0}</div>", message);
    }

    protected virtual void DisplayInformationMessage(string message)
    {
        divPageMessages.Visible = true;
        litPageMessages.Text =
            string.Format("<div class ='Information'>{0}</div>", message);
    }

}