﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class UserControls_UserLoginStatus : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //توسط شرط های ذیل ابتدا نحوه شناسایی کاربر را تعیین میکنیم
        //اگر سه شرط اول نال نباشه و شرط آخر نیز برقرار باشه یعنی کاربر لاگین نموده است
        if ((Context != null) &&
            (Context.Trace != null) &&
            (Context.User.Identity != null) &&
            (Context.User.Identity.IsAuthenticated))
        {
            //حال احراز هویت را با سشن میکس میکنیم که امنیت دو گانه ای برای وبسایت داشته باشیم
            //اگر شرط ذیل برقرار نباشد یوزر را خارج میکنیم تا مجددا وارد سایت شود
            if (Session["UserID"] == null)
            {
                Response.Redirect("~/Logout.aspx", false);
                return;
            }
            //در این جا یعنی هم کاربر شناسایی شده هم سشن نال نیست
            //یکسری لینک ها رو فعال و غیر فعال میکنیم
            lnkLogin.Visible = false;
            lnkLogout.Visible = true;
            lblWelcome.Visible = true;
            lnkRegister.Visible = false;
            litProfile.Visible = true;
            lnkProfile.Visible = true;
            litDeleteUser.Visible = true;
            lnkDeleteUser.Visible = true;

            string strUsername =
                Session["Username"].ToString();

            lblWelcome.Text = string.Format("| Welcome {0} ", strUsername);

        }
        //در این جا یعنی یا کاربر شناسایی نشده یا سشن نال است
        //یکسری لینک ها رو فعال و غیر فعال میکنیم
        else
        {
            lnkLogin.Visible = true;
            lnkLogout.Visible = false;
            lblWelcome.Visible = false;
            lnkRegister.Visible = true;
            litProfile.Visible = false;
            lnkProfile.Visible = false;
            litDeleteUser.Visible = false;
            lnkDeleteUser.Visible = false;

            lblWelcome.Text = string.Empty;

        }
    }
}